Subject: bug#19625: 24.4.51; packages using eieio need recompilation when switching to emacs-25

From: Thierry Volpiatto <[email-masked]>
Date: Mon, 19 Jan 2015 16:01:51 +0100

Stefan Monnier <[email-masked]> writes:

>> 5) Repeat 4) and you have an error:
>> Too many arguments to `defclass'.
>
> I assume you meant "repeat 3)".

Yes sorry.

> When I repeat 3 with an Emacs compiled from trunk, I don't get this
> error. I get the expected "Helm completion enabled".

Indeed, I was using a version of 3 days ago.

> I installed a patch that fixed a "Too many arguments to `defclass'"
> error and couple days ago, so please try with the latest from "master".

I confirm after updating that your patch fix the problem.
Many thanks for your work on this.

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997